# urbetrack_fcm_configuration

Flutter Package para configurar de manera rapida Firebase Messages

## Comenzando 🚀

### Android

Agregar `classpath 'com.google.gms:google-services:4.3.8'` debajo del classpath de gradle

```
file:  'project-name/android/build.gradle'

dependencies {
    // Existing classpath
    classpath 'com.android.tools.build:gradle:3.5.0'
    // Google classpath
    classpath 'com.google.gms:google-services:4.3.8'
}
```

Agregar android dependencies para `firebase-messaging`, `firebase-bom` y `firebase-iid`

Agregar plugin de `google-services` debajo del plugin ya existente de `gradle`

```
file: 'project-name/android/app/build.gardle'

// Existing plugin
apply plugin: 'com.android.application'
// Google-services plugin
apply plugin: 'com.google.gms.google-services'

-
-
-

dependencies{
    implementation platform('com.google.firebase:firebase-bom:28.1.0')
    implementation platform('com.google.firebase:firebase-messaging:22.0.0')
    implementation("com.google.firebase:firebase-iid")
}
```

Agregar meta-data de canal de notificaciones para Android

```
file: 'project-name/android/app/src/main/AndroidManifest.xml'

<meta-data
    android:name="com.google.firebase.messaging.default_notification_channel_id"
    android:value="high_importance_channel" />
```

## Para probar 👨‍💻

### Postman

Reemplazar `device-token` con el token del dispositivo a probar la notificación.

`body`: cuerpo de la notificación

`title`: titulo de la notificación

```
curl --location --request POST 'https://fcm.googleapis.com/fcm/send' \
--header 'Content-Type: application/json' \
--header 'Authorization: key=AAAAGbqMiaE:APA91bE7fV0dicFQugCyBcIItvolvHy37qa8SIlZH8MMbXEk-jrNqLfevPmiIYzB5oGJE4NLbr0-y3jmEBq_xAwwzi5BFzhLrHbhlv0JDzsXEkKsHP8nNYsM7VOiNlh3jpYqYargIBnO' \
--data-raw '{
    "to":"device-token",
    "notification" : {
        "body" : "body",
        "title" : "title",
        "content_available" : true,
        "priority" : "high"
    },
    "data" : {
        // Data a enviar para manejar en Front-end
    }
}

'
```
